Digitale Infrastruktur - Task / Tache #8473

Refurbish CiviCRM
31 March 2021 16:24 - phy

Status: Needs Work Start date: 31 March 2021
Priority: Normal Due date:

Assignee: % Done: 10%
Category: Estimated time: 0.00 hour
Target version:

Description

Die Mitgliederanmeldung ist seit 2017 nicht mehr automatisiert. Mails landen in OTRS und sollten manuell ins CiviCRM Ubertragen
werden.
Diverse Funktionen welche auf api.piratenpartei.ch ausgelagert wurden, sollen jetzt mit Bordmitteln gelést und dokumentiert werden.

Erkenntnisse
CiviCRM wurde bis Juli 2020 gepflegt und verwendet.
Im Wordpress der Piraten werden zwei custom Prozessoren fir Caldera Forms verwendet

e (Post to API) Newsletter [hitps:/api.piratenpartei.ch/api/vi/admin/.../setnewsletter] -> getestet, funktioniert
¢ (Post to MDB) Member [https://registration.piratenpartei.ch/Post.aspx] -> 404 (Mail wird dennoch an OTRS versendet)

Ziele

¢ Die Piraten API soll ersetzt und Funktionen direkt in Wordpress/CiviCRM abgebildet werden
https://github.com/ppschweiz/pps-api
e Es findet sich jemensch fur die Administration von CiviCRM (wenig manuelle Aufgaben)

Aufgaben

e Kontakte ins CiviCRM automatisieren (via off.Plugin oder direkt in CiviCRM)
¢ Bitpay ersetzen (btcpayserver) -> BTC sammeln, nicht mehr tauschen
¢ Stripe (account zentralisieren) -> PayPal hinterlegt

WP CiviCRM Plugins zum anschauen

- https://github.com/mecachisenros/cf-civicrm (2020)

- https://github.com/christianwach/caldera-forms-civicrm (2019)
- https://qgithub.com/civimrf/cf-civicrm-formprocessor

Related issues:

Related to Digitale Infrastruktur - Bug / Feature #8536: CiviCRM: Payment met... New 25 January 2022
Related to Digitale Infrastruktur - Task / Tache #8422: Civi Crm Funktionen e... Needs Feedbad8 March 2020
History

#1 - 31 March 2021 16:25 - phy

- Description updated

#2 - 31 March 2021 16:26 - phy

- Description updated

#3 - 01 April 2021 19:58 - jowi

- Description updated

#4 - 02 April 2021 00:32 - jowi
Caldera Forms is EOL (sunset 2022). Contact Forms 7 has CiviCRM support but cant send mails (due PHP mail()?). Maybe SMTP works?

#5 - 27 April 2021 22:57 - jowi

https://docs.civicrm.org/formprocessor/en/latest/sign-up-newsletter-wordpress/

24 October 2023 12



https://api.piratenpartei.ch/api/v1/admin/.../setnewsletter
https://registration.piratenpartei.ch/Post.aspx
https://github.com/ppschweiz/pps-api
https://github.com/mecachisenros/cf-civicrm
https://github.com/christianwach/caldera-forms-civicrm
https://github.com/civimrf/cf-civicrm-formprocessor
https://docs.civicrm.org/formprocessor/en/latest/sign-up-newsletter-wordpress/

ist eingerichtet, aber im CiviCRM wird nichts eingetragen

#6 - 18 January 2022 20:52 - jowi
- Status changed from New to Needs Work
- % Done changed from 0 to 10

#7 - 03 October 2022 21:40 - jowi
- Related to Bug / Feature #8536: CiviCRM: Payment method hinzufiigen geht nicht added

#9 - 03 October 2022 21:40 - jowi
- Related to Task / Tache #8422: Civi Crm Funktionen extern geben added
